package com.lightinit.hsdatashow.service.topic.water;

import com.lightinit.hsdatashow.entity.Region;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.topic.water.PageReturnModel;
import com.lightinit.hsdatashow.model.topic.water.STRainSearchModel;

import java.util.List;

public interface IYuQingService {
    ResultState getjiangyuliang();

    ResultState getbenshibenyuejiangyubianhua();

    ResultState getjinnianjiangyubianhua();

    ResultState getjinrijiangyuyuzhoubiandishibijiao();

    ResultState getbenyuejiangyuyuzhoubiandishibijiao();

    ResultState getjinnianjiangyuyuzhoubiandishibijiao();

    ResultState getlinianjiangyuyuzhoubianbijiao();

    ResultState getbenshilinianjiangyubianhua();

    PageReturnModel getjiangyumingxichaxun(STRainSearchModel stRainSearchModel);

    List<Region> getRegion();
}
